Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq
Class SpyXAResource

    java.lang.Object
      org.jboss.mq.SpyXAResource

All Implemented Interfaces:
  XAResource

public class SpyXAResource
extends Object
implements XAResource

This class implements the XAResource interface for used with an XASession.

Version:
  $Revision: 1.11 $
Author:
  Hiram Chirino (Cojonudo14@hotmail.com), Adrian Brock

Field Summary

Fields inherited from interface javax.transaction.xa.XAResource
`TMENDRSCAN, TMFAIL, TMJOIN, TMNOFLAGS, TMONEPHASE, TMRESUME, TMSTARTRSCAN, TMSUCCESS, TMSUSPEND, XA_OK, XA_RDONLY`

Method Summary
`void` | `commit(Xid xid, boolean onePhase)`
`void` | `end(Xid xid, int flags)`
`void` | `forget(Xid xid)`
`int` | `getTransactionTimeout()`
`boolean` | `isSameRM(XAResource arg1)`
`int` | `prepare(Xid xid)`
`Xid[]` | `recover(int arg1)`
`void` | `rollback(Xid xid)`
`boolean` | `setTransactionTimeout(int arg1)`
`void` | `start(Xid xid, int flags)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### setTransactionTimeout

    public boolean setTransactionTimeout(int arg1)
                                  throws XAException

  Specified by:
    `setTransactionTimeout` in interface `XAResource`
  Throws:
    `XAException`

### getTransactionTimeout

    public int getTransactionTimeout()
                              throws XAException

  Specified by:
    `getTransactionTimeout` in interface `XAResource`
  Throws:
    `XAException`

### isSameRM

    public boolean isSameRM(XAResource arg1)
                     throws XAException

  Specified by:
    `isSameRM` in interface `XAResource`
  Throws:
    `XAException`

### commit

    public void commit(Xid xid,
                       boolean onePhase)
                throws XAException

  Specified by:
    `commit` in interface `XAResource`
  Throws:
    `XAException`

### end

    public void end(Xid xid,
                    int flags)
             throws XAException

  Specified by:
    `end` in interface `XAResource`
  Throws:
    `XAException`

### forget

    public void forget(Xid xid)
                throws XAException

  Specified by:
    `forget` in interface `XAResource`
  Throws:
    `XAException`

### prepare

    public int prepare(Xid xid)
                throws XAException

  Specified by:
    `prepare` in interface `XAResource`
  Throws:
    `XAException`

### recover

    public Xid[] recover(int arg1)
                  throws XAException

  Specified by:
    `recover` in interface `XAResource`
  Throws:
    `XAException`

### rollback

    public void rollback(Xid xid)
                  throws XAException

  Specified by:
    `rollback` in interface `XAResource`
  Throws:
    `XAException`

### start

    public void start(Xid xid,
                      int flags)
               throws XAException

  Specified by:
    `start` in interface `XAResource`
  Throws:
    `XAException`

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.